package com.sun.org.apache.xalan.internal.xsltc;

import com.sun.org.apache.xml.internal.dtm.DTMAxisIterator;
import com.sun.org.apache.xml.internal.serializer.SerializationHandler;

public interface Translet
{
    public abstract void transform(DOM p0, SerializationHandler p1) throws TransletException;
    
    public abstract void transform(DOM p0, SerializationHandler[] p1) throws TransletException;
    
    public abstract void transform(DOM p0, DTMAxisIterator p1, SerializationHandler p2) throws TransletException;
    
    public abstract Object addParameter(String p0, Object p1);
    
    public abstract void buildKeys(DOM p0, DTMAxisIterator p1, SerializationHandler p2, int p3) throws TransletException;
    
    public abstract void addAuxiliaryClass(Class p0);
    
    public abstract Class getAuxiliaryClass(String p0);
    
    public abstract String[] getNamesArray();
    
    public abstract String[] getUrisArray();
    
    public abstract int[] getTypesArray();
    
    public abstract String[] getNamespaceArray();
    
    public abstract boolean overrideDefaultParser();
    
    public abstract void setOverrideDefaultParser(boolean p0);
}
